Package de.willuhn.jameica.hbci.server

# Class HibiscusAddressImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.HibiscusAddressImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Address`, `HibiscusAddress`, `HibiscusDBObject`, `Serializable`, `Remote`

public class HibiscusAddressImpl extends AbstractHibiscusDBObject implements HibiscusAddress
Implementierung einer Hibiscus-Adresse.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`HibiscusAddressImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBank()`
Liefert den Namen der Bank.
`String`
`getBic()`
Liefert die BIC.
`String`
`getBlz()`
Liefert die BLZ.
`String`
`getIban()`
Liefert die IBAN.
`String`
`getKategorie()`
Liefert einen Freitext mit der Kategorie.
`String`
`getKommentar()`
Liefert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.
`String`
`getKontonummer()`
Liefert die Kontonummer.
`String`
`getName()`
Liefert den Namen.
`String`
`getPrimaryAttribute()`
`protected String`
`getTableName()`
`protected void`
`insertCheck()`
`void`
`setBank(String name)`
Speichert den Namen der Bank.
`void`
`setBic(String bic)`
Speichert die BIC.
`void`
`setBlz(String blz)`
Speichert die BLZ des Empfaengers.
`void`
`setIban(String iban)`
Speichert die IBAN.
`void`
`setKategorie(String kategorie)`
Speichert die Kategorie.
`void`
`setKommentar(String kommentar)`
Speichert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.
`void`
`setKontonummer(String kontonummer)`
Speichert die Kontonummer des Empfaengers.
`void`
`setName(String name)`
Speichert den Namen des Empfaengers.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta, store`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### HibiscusAddressImpl

public HibiscusAddressImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getKontonummer

public String getKontonummer() throws RemoteException
Description copied from interface: `Address`
Liefert die Kontonummer.

Specified by:
  `getKontonummer` in interface `Address`
Returns:
  Kontonummer.
Throws:
  `RemoteException`
See Also:
  - `Address.getKontonummer()`

### getBlz

public String getBlz() throws RemoteException
Description copied from interface: `Address`
Liefert die BLZ.

Specified by:
  `getBlz` in interface `Address`
Returns:
  BLZ.
Throws:
  `RemoteException` - BUGZILLA 534
See Also:
  - `Address.getBlz()`

### getName

public String getName() throws RemoteException
Description copied from interface: `Address`
Liefert den Namen.

Specified by:
  `getName` in interface `Address`
Returns:
  Name.
Throws:
  `RemoteException`
See Also:
  - `Address.getName()`

### setKontonummer

public void setKontonummer(String kontonummer) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert die Kontonummer des Empfaengers.

Specified by:
  `setKontonummer` in interface `HibiscusAddress`
Parameters:
  `kontonummer` - Kontonummer.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setKontonummer(java.lang.String)`

### setBlz

public void setBlz(String blz) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert die BLZ des Empfaengers.

Specified by:
  `setBlz` in interface `HibiscusAddress`
Parameters:
  `blz` - BLZ.
Throws:
  `RemoteException` - BUGZILLA 534
See Also:
  - `HibiscusAddress.setBlz(java.lang.String)`

### setName

public void setName(String name) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert den Namen des Empfaengers.

Specified by:
  `setName` in interface `HibiscusAddress`
Parameters:
  `name` - Name.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setName(java.lang.String)`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `Address`
Liefert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.

Specified by:
  `getKommentar` in interface `Address`
Returns:
  Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Address.getKommentar()`

### setKommentar

public void setKommentar(String kommentar) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.

Specified by:
  `setKommentar` in interface `HibiscusAddress`
Parameters:
  `kommentar` -
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setKommentar(java.lang.String)`

### getBank

public String getBank() throws RemoteException
Description copied from interface: `HibiscusAddress`
Liefert den Namen der Bank. Ist nur fuer auslaendische Banken sinnvoll, da HBCI4Java fuer deutsche Banken eine Mapping-Tabelle BLZ->Bankname mitbringt.

Specified by:
  `getBank` in interface `HibiscusAddress`
Returns:
  Name der Bank.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.getBank()`

### setBank

public void setBank(String name) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert den Namen der Bank. Ist nur fuer auslaendische Banken sinnvoll, da HBCI4Java fuer deutsche Banken eine Mapping-Tabelle BLZ->Bankname mitbringt.

Specified by:
  `setBank` in interface `HibiscusAddress`
Parameters:
  `name` - Name der Bank.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setBank(java.lang.String)`

### getBic

public String getBic() throws RemoteException
Description copied from interface: `Address`
Liefert die BIC.

Specified by:
  `getBic` in interface `Address`
Returns:
  die BIC.
Throws:
  `RemoteException`
See Also:
  - `Address.getBic()`

### setBic

public void setBic(String bic) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert die BIC.

Specified by:
  `setBic` in interface `HibiscusAddress`
Parameters:
  `bic` - die BIC.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setBic(java.lang.String)`

### getIban

public String getIban() throws RemoteException
Description copied from interface: `Address`
Liefert die IBAN.

Specified by:
  `getIban` in interface `Address`
Returns:
  die IBAN.
Throws:
  `RemoteException`
See Also:
  - `Address.getIban()`

### setIban

public void setIban(String iban) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert die IBAN.

Specified by:
  `setIban` in interface `HibiscusAddress`
Parameters:
  `iban` - die IBAN.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setIban(java.lang.String)`

### getKategorie

public String getKategorie() throws RemoteException
Description copied from interface: `Address`
Liefert einen Freitext mit der Kategorie.

Specified by:
  `getKategorie` in interface `Address`
Returns:
  Freitext mit der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `Address.getKategorie()`

### setKategorie

public void setKategorie(String kategorie) throws RemoteException
Description copied from interface: `HibiscusAddress`
Speichert die Kategorie.

Specified by:
  `setKategorie` in interface `HibiscusAddress`
Parameters:
  `kategorie` - die Kategorie.
Throws:
  `RemoteException`
See Also:
  - `HibiscusAddress.setKategorie(java.lang.String)`